/*
 * Copyright (C) 2020  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef GET_MONITORING_IPS_HH_0E9C3850E0814A90BE0B29CE6FFFBCCD
#define GET_MONITORING_IPS_HH_0E9C3850E0814A90BE0B29CE6FFFBCCD

#include <boost/asio/ip/address.hpp>

#include <vector>

namespace Fred {
namespace Logger {

std::vector<boost::asio::ip::address> get_monitoring_ips();

} // namespace Fred::Logger
} // namespace Fred

#endif
